<script lang="ts">
  import { AttributeName } from '../../module/model/character-data.js'
  import { getContext } from 'svelte'
  import { Character } from '../../module/character/character.js'

  import { Writable } from 'svelte/store'
  import { CharacterDataAccessor } from '../../module/model/character.js'
  import RollableAttribute from './RollableAttribute.svelte'

  export let attributeName: AttributeName

  let doc = getContext<Writable<CharacterDataAccessor>>('doc')
  let character = new Character($doc)
  $: attribute = character.attribute(attributeName)
</script>

<RollableAttribute
  {attribute}
  bind:value={$doc.system.base.basicAttributes[attributeName].value}
/>
